Page MenuHomeFreeBSD

arm64 gic: Drop unused GICV3_IVAR_REDIST_VADDR
ClosedPublic

Authored by jchandra on May 29 2019, 3:40 AM.

Details

Summary

(split from earlier https://reviews.freebsd.org/D19842)
Now that GICV3_IVAR_REDIST is available, we can remove GICV3_IVAR_REDIST_VADDR

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jchandra created this revision.May 29 2019, 3:40 AM
andrew added inline comments.May 30 2019, 9:27 AM
sys/arm64/arm64/gic_v3_var.h
96 ↗(On Diff #58021)

I'd just remove it with a comment, e.g.:
/* 1001 was GICV3_IVAR_REDIST_VADDR */

jchandra added inline comments.May 30 2019, 6:00 PM
sys/arm64/arm64/gic_v3_var.h
96 ↗(On Diff #58021)

Will change.
(The #define looked better in my opinion, probably 'unused' was not the right description)

andrew added inline comments.May 30 2019, 8:50 PM
sys/arm64/arm64/gic_v3_var.h
96 ↗(On Diff #58021)

The main reason for removing the #define is to make it a compile error to continue using it.

jchandra updated this revision to Diff 58102.May 31 2019, 3:45 AM

address andrew's comment.

andrew accepted this revision.May 31 2019, 9:49 AM
This revision is now accepted and ready to land.May 31 2019, 9:49 AM
This revision was automatically updated to reflect the committed changes.